Downloads

Akeeba Backup for Joomla!

Akeeba Backup for Joomla!

version 3.10.0 Stable

Released on: Wednesday, 05 February 2014 05:58

Release Notes

Release highlights

Upload Kickstart with the backup (Professional release only). You can now tell Akeeba Backup to upload kickstart.php at the same time it uploads your backup archive to remote storage (e.g. FTP or SFTP), allowing you to perform an easy site move without ever leaving the comfort of your browser. Yes, it works on mobile devices, too (using a tablet is strongly recommended)!

"Large site scanner" engine. Our regular file scanner engine ("Smart scanner") works best when you don't have directories with hundreds or thousands of files, or very deeply nested directories with over 100 files each. The new "Large site scanner" engine is optimised exactly for those sites, e.g. very active blogs, news sites, e-commerce sites with tons of images etc.

Improved System Restore Points. On popular request, our System Restore Points feature now supports virtually every type of extension package available for Joomla!, including the all-important "package" and "library" types. Moreover we have identified and fixed a bug which would prevent you from taking System Restore Points for components.

Stability improvements. We have identified and addressed several issues caused by unscrupulous host and user interaction with our software. Instead of failing out cold, our software will now attempt to detect these external problems and work around them. If it's not possible a warning will be issued, pointing you to the right direction for fixing the root cause yourself.

PHP 5.3, 5.4 or 5.5 is required

This version requires PHP 5.3, 5.4 or 5.5. The rationale behind this is explained in our statement of mid-February 2013. It won't install on hosts running PHP 5.2 or earlier. PHP 5.3.4 or later is required, due to show-stopper bugs in earlier versions of PHP 5.3. Moreover, due to the necessary Joomla! API changes found only in Joomla! 2.5.6 or later, this version will not install on Joomla! 2.5.5 or earlier versions. In any case, it will tell you exactly why it cannot be installed (minimum PHP or Joomla! version not satisfied).

Joomla! 2.5 and 3.2 are supported

This version of Akeeba Backup can be installed on Joomla! 2.5.6 or any later 2.5.x release, as well as any 3.2.x release. It is not compatible with Joomla! 3.0 or 3.1. These versions of Joomla! are old and vulnerable. If you are using them please upgrade to 3.2.

Changelog

Bug fixes

  • ANGIE doesn't reset the secret key in configuration.php
  • [LOW] [PRO] ALICE would report PHP 5.5 as too new, even though it's currently fully supported
  • [LOW] [PRO] ghpro-7 Pagination alignment
  • [LOW] gh-460 Layout display error in database exclusion page when you cannot connect to the database
  • [LOW] gh-463 All items in Manage Backups page shown under Joomla! 3.2
  • [MEDIUM] Lite Mode was broken

New features

  • "Large site scanner" engine for sites with directories containing hundreds or even several thousands of files
  • You can specify the large file threshold (it was previously hard-coded to 10Mb)
  • [PRO] System Restore Points now support extension types: package, library, file
  • [PRO] You can now tell Akeeba Backup to upload kickstart.php to remote storage (e.g. when using FTP or SFTP) to facilitate site transfers

Miscellaneous changes

  • Ignoring filters and engines with non-alphanumeric characters in their names, preventing crashes on hosts which automatically create copies of files e.g. folders.php to filders.1.php without asking the user
  • Warn about bad (S)FTP hostnames

Critical bugs and important changes

  • [PRO] System Restore Points for components didn't work

Our Core versions are provided free of charge,
but they only scratch the surface of what's possible.

Subscribe today to get access to the exclusive features and enhanced support of our Professional releases!

Subscribe and get full access!

Already a subscriber? Log in.